# Generated by Django 2.0.5 on 2020-05-06 13:21

from django.db import migrations


class Migration(migrations.Migration):
    def add_notesMD_key(apps, schema_editor):
        SOWDocument = apps.get_model("document", "SOWDocument")
        SOWTemplate = apps.get_model("document", "SOWTemplate")
        for doc in SOWDocument.objects.all():
            notesMD = doc.json_config.get("service_cost", {}).get("notes", "")
            doc.json_config.get("service_cost", {}).update({"notesMD": notesMD})
            old_updated_on = doc.updated_on
            doc.save()
            # reset the updated_on date to the old one
            SOWDocument.objects.filter(id=doc.id).update(updated_on=old_updated_on)

        for template in SOWTemplate.objects.all():
            notesMD = doc.json_config.get("service_cost", {}).get("notes", "")
            template.json_config.get("service_cost", {}).update({"notesMD": notesMD})
            old_updated_on = template.updated_on
            template.save()
            # reset the updated_on date to the old one
            SOWTemplate.objects.filter(id=template.id).update(updated_on=old_updated_on)

    dependencies = [("document", "0043_auto_20200407_1057")]

    operations = [migrations.RunPython(add_notesMD_key)]
